togo
====
togo converts files to Go source code as a byte array.
togo is based on (but is a complete rewrite of)
[Franco Lazzarino's togo](https://github.com/flazz/togo).


usage
-----
togo is designed to be embedded in your Go project for a dependency free
way to manage assets.

First, copy `main.go` from togo into a subdirectory in your
project (for example, a subdirectory named `togo`.)

Next, add comments to indicate to go generate that you wish to run
your local copy of togo to build assets.

    //go:generate go run ./togo -n Favicon_ico -i assets/favicon.ico -p static -o static/favicon_ico.go

togo takes some basic arguments:

Argument | Description
-------- | -----------
-p | generated package name
-n | generated variable name
-i | input file name
-o | output file name
